local gfx = require "gfx"
local game = require "game"
local settings = require "settings"
--local settings = require "settings"
function love.load()
	maxPlayerLives = 5 -- no of player lives not counting current
	time = 0
	maxPlayerBullets = 100
	game.init()
end
function modify_score(delta)
	score = score + delta
	scoremessage.size = 2
	scoremessage.color = {195 - 3*score, 195 + 3*score, 100}
end
function love.update(dt)
	time = time + dt
	game.update(dt)
end
function love.draw()
	gfx.draw(pause)
end
function love.mousereleased(x, y, button)
	if pause then
		game.restartGame()
	end
end
function love.keypressed(key, isrepeat)
	if love.keyboard.isDown("escape") then
		pause = not pause
	elseif love.keyboard.isDown("s") then
		settings.setVolume(-1 * settings.settings.volume + 1)
	end
end
function love.mousepressed(x, y, button)
	if pause then return end
--	for i, star in ipairs(stars) do
--		star.marked = false
--		dx = math.abs(x-star.x)
--		dy = math.abs(y-star.y)
--		if math.sqrt(dx*dx + dy*dy) < 5 then
--			star.marked = true
--		end
--	end
end
function endcontact(a, b, coll)
end
function preSolve(a, b, coll)
end
function postSolve(a, b, coll)
end
