local sound = {}
	function sound.init()
		love.audio.setVolume(settings.settings.volume)
		sounds = {}
		sounds.player = {}
		sounds.player.shoot = love.audio.newSource("sounds/laser_shoot.wav", "static")
		sounds.player.die = love.audio.newSource("sounds/explosion.wav", "static")
		sounds.bullet = {}
		sounds.bullet.hitAlien = love.audio.newSource("sounds/bullet_hit_alien.wav", "static")
	end
	function sound.play(sound)
		sound:play()
	end
	function sound.stop(sound)
		sound:stop()
	end
	function sound.rew_play(sound)
		sound:stop()
		sound:play()
	end
return sound
